import { ToRefs } from "vue";
import type { QueryFunction, QueryKey, UseInfiniteQueryOptions, UseInfiniteQueryResult } from "react-query/types";
export declare function useInfiniteQuery<TQueryFnData = unknown, TError = unknown, TData = TQueryFnData>(options: UseInfiniteQueryOptions<TQueryFnData, TError, TData>): ToRefs<UseInfiniteQueryResult<TData, TError>>;
export declare function useInfiniteQuery<TQueryFnData = unknown, TError = unknown, TData = TQueryFnData>(queryKey: QueryKey, options?: UseInfiniteQueryOptions<TQueryFnData, TError, TData>): ToRefs<UseInfiniteQueryResult<TData, TError>>;
export declare function useInfiniteQuery<TQueryFnData = unknown, TError = unknown, TData = TQueryFnData>(queryKey: QueryKey, queryFn: QueryFunction<TQueryFnData>, options?: UseInfiniteQueryOptions<TQueryFnData, TError, TData>): ToRefs<UseInfiniteQueryResult<TData, TError>>;
