"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateState = exports.parseQueryArgs = exports.isQueryKey = void 0;
function isQueryKey(value) {
    return typeof value === "string" || Array.isArray(value);
}
exports.isQueryKey = isQueryKey;
function parseQueryArgs(arg1, arg2, arg3) {
    if (!isQueryKey(arg1)) {
        return arg1;
    }
    if (typeof arg2 === "function") {
        return { ...arg3, queryKey: arg1, queryFn: arg2 };
    }
    return { ...arg2, queryKey: arg1 };
}
exports.parseQueryArgs = parseQueryArgs;
function updateState(state, update) {
    Object.keys(state).forEach((key) => {
        state[key] = update[key];
    });
}
exports.updateState = updateState;
