"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useQueryClient = void 0;
const vue_1 = require("vue");
function useQueryClient() {
    const queryClient = vue_1.inject("queryClient");
    if (!queryClient) {
        throw new Error("No queryClient found in Vue context, use 'app.provide(\"queryClient\", queryClient);' to set one in root component.");
    }
    return queryClient;
}
exports.useQueryClient = useQueryClient;
